/**
 * @copyright Sister Software. All rights reserved.
 * @author Teffen Ellis, et al.
 * @license
 * See LICENSE file in the project root for full license information.
 */
import { EncoderInput } from './BytePairEncoder.mjs';
import { EncoderResult } from './EncoderResult.mjs';
import { ModelFamily, ModelPricingTypes } from './models/mod.mjs';
export type CostEstimatorInput = string | EncoderResult;
export type ICostEstimationResult = Record<ModelPricingTypes, number | null>;
export interface NormalizeInputResult {
    modelFamily: ModelFamily;
    encodedResults: EncoderResult[];
}
export interface EstimateCostFn {
    (modelOrFamilyID: string, ...inputs: EncoderInput[]): ICostEstimationResult;
    (modelFamily: ModelFamily, ...inputs: EncoderInput[]): ICostEstimationResult;
}
export declare const estimateCost: EstimateCostFn;
